ELOGIND.DIRECTIVES(7)

NAME
elogind.directives - Index of configuration directives

UNIT DIRECTIVES

Directives for configuring units, used in unit files.

OPTIONS ON THE KERNEL COMMAND LINE

Kernel boot options for configuring the behaviour of the elogind process.

ENVIRONMENT VARIABLES

Environment variables understood by the elogind manager and other programs and environment variable-compatible settings.

$EMAIL
    pam_elogind(8)

$LANG
    pam_elogind(8)

$LISTEN_FDNAMES
    sd_listen_fds(3)

$LISTEN_FDS
    sd_listen_fds(3)

$LISTEN_PID
    sd_listen_fds(3)

$NOTIFY_SOCKET
    sd_notify(3)

$SYSTEMD_COLORS
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_LESS
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_LESSCHARSET
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_LOG_COLOR
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_LOG_LEVEL
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_LOG_LOCATION
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_LOG_TARGET
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_LOG_TID
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_LOG_TIME
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_PAGER
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_PAGERSECURE
    elogind-inhibit(1), loginctl(1)

$SYSTEMD_URLIFY
    elogind-inhibit(1), loginctl(1)

$TZ
    pam_elogind(8)

$WATCHDOG_PID
    sd_watchdog_enabled(3)

$WATCHDOG_USEC
    sd_watchdog_enabled(3)

$XDG_RUNTIME_DIR
    pam_elogind(8)

$XDG_SEAT
    pam_elogind(8)

$XDG_SESSION_CLASS
    pam_elogind(8)

$XDG_SESSION_DESKTOP
    pam_elogind(8)

$XDG_SESSION_ID
    pam_elogind(8)

$XDG_SESSION_TYPE
    pam_elogind(8)

$XDG_VTNR
    pam_elogind(8)

EFI VARIABLES

EFI variables understood by elogind-boot(7) and other programs.

HOME AREA/USER ACCOUNT DIRECTIVES

Directives for configuring home areas and user accounts via systemd-homed.service(8).

UDEV DIRECTIVES

Directives for configuring elogind units through the udev database.

ID_AUTOSEAT
    sd-login(3)

ID_FOR_SEAT
    sd-login(3)

ID_SEAT
    sd-login(3)

NETWORK DIRECTIVES

Directives for configuring network links through the net-setup-link udev builtin and networks through systemd-networkd.

JOURNAL FIELDS

Fields in the journal events with a well known meaning.

CODE_FILE=
    elogind.journal-fields(7)

CODE_FUNC=
    elogind.journal-fields(7)

CODE_LINE=
    elogind.journal-fields(7)

DOCUMENTATION=
    elogind.journal-fields(7)

MESSAGE=
    elogind.journal-fields(7)

PRIORITY=
    elogind.journal-fields(7)

TID=
    elogind.journal-fields(7)

UNIT=
    elogind.journal-fields(7)

USER_UNIT=
    elogind.journal-fields(7)

PAM CONFIGURATION DIRECTIVES

Directives for configuring PAM behaviour.

class=
    pam_elogind(8)

debug
    pam_elogind(8)

desktop=
    pam_elogind(8)

systemd.memory_max=
    pam_elogind(8)

systemd.runtime_max_sec=
    pam_elogind(8)

systemd.tasks_max=
    pam_elogind(8)

type=
    pam_elogind(8)

/ETC/CRYPTTAB, /ETC/VERITYTAB AND /ETC/FSTAB OPTIONS

Options which influence mounted filesystems and encrypted volumes.

SYSTEMD.NSPAWN(5) DIRECTIVES

Directives for configuring systemd-nspawn containers.

PROGRAM CONFIGURATION OPTIONS

Directives for configuring the behaviour of the elogind process and other tools through configuration files.

AllowHibernation=
    sleep.conf(5)

AllowHybridSleep=
    sleep.conf(5)

AllowSuspend=
    sleep.conf(5)

AllowSuspendThenHibernate=
    sleep.conf(5)

HandleHibernateKey=
    logind.conf(5)

HandleHibernateKeyLongPress=
    logind.conf(5)

HandleLidSwitch=
    logind.conf(5)

HandleLidSwitchDocked=
    logind.conf(5)

HandleLidSwitchExternalPower=
    logind.conf(5)

HandlePowerKey=
    logind.conf(5)

HandlePowerKeyLongPress=
    logind.conf(5)

HandleRebootKey=
    logind.conf(5)

HandleRebootKeyLongPress=
    logind.conf(5)

HandleSuspendKey=
    logind.conf(5)

HandleSuspendKeyLongPress=
    logind.conf(5)

HibernateByUsing=
    sleep.conf(5)

HibernateDelaySec=
    sleep.conf(5)

HibernateKeyIgnoreInhibited=
    logind.conf(5)

HibernateMode=
    sleep.conf(5)

HibernateState=
    sleep.conf(5)

HoldoffTimeoutSec=
    logind.conf(5)

HybridSleepMode=
    sleep.conf(5)

HybridSleepState=
    sleep.conf(5)

IdleAction=
    logind.conf(5)

IdleActionSec=
    logind.conf(5)

InhibitDelayMaxSec=
    logind.conf(5)

InhibitorsMax=
    logind.conf(5)

KillExcludeUsers=
    logind.conf(5)

KillOnlyUsers=
    logind.conf(5)

KillUserProcesses=
    logind.conf(5)

LidSwitchIgnoreInhibited=
    logind.conf(5)

PowerKeyIgnoreInhibited=
    logind.conf(5)

RebootKeyIgnoreInhibited=
    logind.conf(5)

RemoveIPC=
    logind.conf(5)

RuntimeDirectoryInodesMax=
    logind.conf(5)

RuntimeDirectorySize=
    logind.conf(5)

SessionsMax=
    logind.conf(5)

StopIdleSessionSec=
    logind.conf(5)

SuspendByUsing=
    sleep.conf(5)

SuspendEstimationSec=
    sleep.conf(5)

SuspendKeyIgnoreInhibited=
    logind.conf(5)

SuspendMode=
    sleep.conf(5)

SuspendState=
    sleep.conf(5)

UserStopDelaySec=
    logind.conf(5)

COMMAND LINE OPTIONS

Command-line options accepted by programs in the elogind suite.

--acquired
    busctl(1)

--activatable
    busctl(1)

--address
    busctl(1)

--all
    loginctl(1)

--allow-interactive-authorization
    busctl(1)

--augment-creds
    busctl(1)

--auto-start
    busctl(1)

--daemon
    elogind(8)

--destination
    busctl(1)

--dry-run
    loginctl(1)

--expect-reply
    busctl(1)

--full
    busctl(1), loginctl(1)

--help
    busctl(1), elogind(8), elogind-inhibit(1), loginctl(1)

--host
    busctl(1), loginctl(1)

--ignore-inhibitors
    loginctl(1)

--json
    busctl(1)

--kill-whom
    loginctl(1)

--list
    busctl(1), elogind-inhibit(1)

--machine
    busctl(1), loginctl(1)

--match
    busctl(1)

--mode
    elogind-inhibit(1)

--no-ask-password
    loginctl(1)

--no-legend
    busctl(1), elogind-inhibit(1), loginctl(1)

--no-pager
    busctl(1), elogind-inhibit(1), loginctl(1)

--no-wall
    loginctl(1)

--output
    loginctl(1)

--property
    loginctl(1)

--quiet
    busctl(1)

--show-machine
    busctl(1)

--signal
    loginctl(1)

--size
    busctl(1)

--system
    busctl(1)

--timeout
    busctl(1)

--unique
    busctl(1)

--user
    busctl(1)

--value
    loginctl(1)

--verbose
    busctl(1)

--version
    busctl(1), elogind-inhibit(1), loginctl(1)

--watch-bind
    busctl(1)

--what
    elogind-inhibit(1)

--who
    elogind-inhibit(1)

--why
    elogind-inhibit(1)

--xml-interface
    busctl(1)

-D
    elogind(8)

-H
    busctl(1), loginctl(1)

-M
    busctl(1), loginctl(1)

-a
    loginctl(1)

-c
    loginctl(1)

-h
    busctl(1), elogind(8), elogind-inhibit(1), loginctl(1)

-i
    loginctl(1)

-j
    busctl(1)

-l
    busctl(1), loginctl(1)

-o
    loginctl(1)

-p
    loginctl(1)

-q
    busctl(1)

-s
    loginctl(1)

/etc/elogind/system-shutdown/
    loginctl(1)

/etc/elogind/system-sleep/
    loginctl(1)

AllowPowerOffInterrupts
    loginctl(1)

AllowSuspendInterrupts
    loginctl(1)

BroadcastPowerOffInterrupts
    loginctl(1)

BroadcastSuspendInterrupts
    loginctl(1)

K
    elogind-inhibit(1), loginctl(1)

X
    elogind-inhibit(1), loginctl(1)

[/usr]/lib[64]/elogind/system-shutdown/
    loginctl(1)

[/usr]/lib[64]/elogind/system-sleep/
    loginctl(1)

CONSTANTS

Various constants used and/or defined by elogind.

-1
    sd_login_monitor_new(3)

'h'
    sd_bus_message_read_basic(3)

's'
    sd_bus_message_read_basic(3)

'y'
    sd_bus_message_read_basic(3)

-1
    sd_event_run(3), sd_event_wait(3)

-EADDRINUSE
    sd_bus_request_name(3)

-EALREADY
    sd_bus_request_name(3)

-EBADF
    sd_bus_set_fd(3), sd_event_add_inotify(3), sd_pid_get_owner_uid(3)

-EBADMSG
    sd_bus_message_read(3), sd_bus_message_read_array(3), sd_bus_message_read_basic(3), sd_bus_message_seal(3), sd_bus_message_skip(3)

-EBUSY
    sd_bus_message_open_container(3), sd_bus_message_read(3), sd_bus_process(3), sd_bus_track_new(3), sd_event_add_child(3), sd_event_add_signal(3), sd_event_run(3), sd_event_wait(3)

-ECHILD
    sd_bus_add_node_enumerator(3), sd_bus_add_object(3), sd_bus_add_object_manager(3), sd_bus_attach_event(3), sd_bus_call(3), sd_bus_can_send(3), sd_bus_close(3), sd_bus_emit_signal(3), sd_bus_get_fd(3), sd_bus_get_n_queued_read(3), sd_bus_get_name_creds(3), sd_bus_get_name_machine_id(3), sd_bus_is_open(3), sd_bus_list_names(3), sd_bus_negotiate_fds(3), sd_bus_process(3), sd_bus_query_sender_creds(3), sd_bus_request_name(3), sd_bus_send(3), sd_bus_set_address(3), sd_bus_set_close_on_exit(3), sd_bus_set_connected_signal(3), sd_bus_set_description(3), sd_bus_set_exit_on_disconnect(3), sd_bus_set_fd(3), sd_bus_set_sender(3), sd_bus_set_server(3), sd_bus_set_watch_bind(3), sd_bus_slot_set_floating(3), sd_bus_start(3), sd_bus_wait(3), sd_event_add_child(3), sd_event_add_defer(3), sd_event_add_inotify(3), sd_event_add_io(3), sd_event_add_signal(3), sd_event_add_time(3), sd_event_exit(3), sd_event_get_fd(3), sd_event_now(3), sd_event_run(3), sd_event_set_signal_exit(3), sd_event_set_watchdog(3), sd_event_source_get_pending(3), sd_event_source_set_description(3), sd_event_source_set_enabled(3), sd_event_source_set_floating(3), sd_event_source_set_prepare(3), sd_event_source_set_priority(3), sd_event_source_set_ratelimit(3), sd_event_wait(3)

-ECONNRESET
    sd_bus_call(3), sd_bus_process(3), sd_bus_send(3)

-EDOM
    sd_event_add_child(3), sd_event_add_inotify(3), sd_event_add_io(3), sd_event_add_signal(3), sd_event_add_time(3), sd_event_source_get_pending(3), sd_event_source_set_prepare(3), sd_event_source_set_ratelimit(3)

-EEXIST
    sd_bus_add_object(3), sd_bus_message_set_destination(3), sd_bus_request_name(3)

-EINVAL
    sd_bus_add_node_enumerator(3), sd_bus_add_object(3), sd_bus_add_object_manager(3), sd_bus_call(3), sd_bus_creds_get_pid(3), sd_bus_creds_new_from_pid(3), sd_bus_default(3), sd_bus_emit_signal(3), sd_bus_error(3), sd_bus_error_add_map(3), sd_bus_get_fd(3), sd_bus_get_name_creds(3), sd_bus_get_name_machine_id(3), sd_bus_interface_name_is_valid(3), sd_bus_list_names(3), sd_bus_message_append(3), sd_bus_message_append_array(3), sd_bus_message_append_basic(3), sd_bus_message_append_string_memfd(3), sd_bus_message_append_strv(3), sd_bus_message_copy(3), sd_bus_message_get_cookie(3), sd_bus_message_get_monotonic_usec(3), sd_bus_message_get_signature(3), sd_bus_message_get_type(3), sd_bus_message_new(3), sd_bus_message_new_method_call(3), sd_bus_message_new_method_error(3), sd_bus_message_new_signal(3), sd_bus_message_open_container(3), sd_bus_message_read(3), sd_bus_message_read_array(3), sd_bus_message_read_basic(3), sd_bus_message_rewind(3), sd_bus_message_seal(3), sd_bus_message_set_destination(3), sd_bus_message_set_expect_reply(3), sd_bus_message_skip(3), sd_bus_message_verify_type(3), sd_bus_negotiate_fds(3), sd_bus_process(3), sd_bus_query_sender_creds(3), sd_bus_reply_method_error(3), sd_bus_reply_method_return(3), sd_bus_request_name(3), sd_bus_send(3), sd_bus_set_address(3), sd_bus_set_description(3), sd_bus_set_exit_on_disconnect(3), sd_bus_set_fd(3), sd_bus_set_method_call_timeout(3), sd_bus_set_server(3), sd_bus_slot_set_description(3), sd_bus_slot_set_destroy_callback(3), sd_bus_slot_set_floating(3), sd_bus_start(3), sd_bus_track_add_name(3), sd_bus_track_new(3), sd_bus_wait(3), sd_event_add_child(3), sd_event_add_defer(3), sd_event_add_inotify(3), sd_event_add_io(3), sd_event_add_signal(3), sd_event_add_time(3), sd_event_exit(3), sd_event_get_fd(3), sd_event_now(3), sd_event_run(3), sd_event_set_signal_exit(3), sd_event_set_watchdog(3), sd_event_source_get_pending(3), sd_event_source_set_description(3), sd_event_source_set_destroy_callback(3), sd_event_source_set_enabled(3), sd_event_source_set_floating(3), sd_event_source_set_prepare(3), sd_event_source_set_priority(3), sd_event_source_set_ratelimit(3), sd_event_wait(3), sd_login_monitor_new(3), sd_machine_get_class(3), sd_pid_get_owner_uid(3), sd_seat_get_active(3), sd_session_is_active(3), sd_uid_get_state(3)

-EIO
    sd_bus_error(3), sd_id128_get_machine(3)

-ELOOP
    sd_bus_call(3)

-EMFILE
    sd_event_new(3)

-ENOBUFS
    sd_bus_send(3)

-ENODATA
    sd_bus_creds_get_pid(3), sd_bus_message_get_cookie(3), sd_bus_message_get_monotonic_usec(3), sd_bus_negotiate_fds(3), sd_bus_set_address(3), sd_bus_set_description(3), sd_event_exit(3), sd_pid_get_owner_uid(3), sd_seat_get_active(3), sd_session_is_active(3), sd_uid_get_state(3)

-ENOENT
    sd_id128_get_machine(3)

-ENOEXEC
    sd_event_source_set_ratelimit(3)

-ENOMEDIUM
    sd_bus_default(3), sd_id128_get_machine(3)

-ENOMEM
    sd_bus_add_node_enumerator(3), sd_bus_add_object(3), sd_bus_add_object_manager(3), sd_bus_call(3), sd_bus_creds_get_pid(3), sd_bus_creds_new_from_pid(3), sd_bus_default(3), sd_bus_emit_signal(3), sd_bus_error(3), sd_bus_error_add_map(3), sd_bus_get_name_creds(3), sd_bus_get_name_machine_id(3), sd_bus_list_names(3), sd_bus_message_append(3), sd_bus_message_append_array(3), sd_bus_message_append_basic(3), sd_bus_message_append_string_memfd(3), sd_bus_message_append_strv(3), sd_bus_message_copy(3), sd_bus_message_new(3), sd_bus_message_new_method_call(3), sd_bus_message_new_method_error(3), sd_bus_message_new_signal(3), sd_bus_message_open_container(3), sd_bus_message_skip(3), sd_bus_new(3), sd_bus_reply_method_error(3), sd_bus_reply_method_return(3), sd_bus_send(3), sd_bus_set_description(3), sd_bus_slot_set_description(3), sd_bus_track_add_name(3), sd_bus_track_new(3), sd_event_add_child(3), sd_event_add_defer(3), sd_event_add_inotify(3), sd_event_add_io(3), sd_event_add_signal(3), sd_event_add_time(3), sd_event_new(3), sd_event_source_get_pending(3), sd_event_source_set_description(3), sd_event_source_set_enabled(3), sd_event_source_set_prepare(3), sd_event_source_set_priority(3), sd_get_seats(3), sd_login_monitor_new(3), sd_machine_get_class(3), sd_pid_get_owner_uid(3), sd_seat_get_active(3), sd_session_is_active(3), sd_uid_get_state(3)

-ENOMSG
    sd_bus_message_seal(3)

-ENOPKG
    sd_bus_add_node_enumerator(3), sd_bus_add_object(3), sd_bus_add_object_manager(3), sd_bus_can_send(3), sd_bus_emit_signal(3), sd_bus_get_fd(3), sd_bus_get_name_creds(3), sd_bus_get_name_machine_id(3), sd_bus_list_names(3), sd_bus_negotiate_fds(3), sd_bus_set_address(3), sd_bus_set_description(3), sd_bus_set_exit_on_disconnect(3), sd_bus_set_fd(3), sd_bus_set_method_call_timeout(3), sd_bus_set_server(3), sd_bus_start(3)

-ENOSYS
    sd_event_add_inotify(3)

-ENOTCONN
    sd_bus_call(3), sd_bus_can_send(3), sd_bus_get_fd(3), sd_bus_list_names(3), sd_bus_message_new(3), sd_bus_message_new_method_call(3), sd_bus_message_new_method_error(3), sd_bus_message_new_signal(3), sd_bus_process(3), sd_bus_query_sender_creds(3), sd_bus_reply_method_error(3), sd_bus_reply_method_return(3), sd_bus_request_name(3), sd_bus_send(3), sd_bus_set_server(3), sd_bus_wait(3)

-ENXIO
    sd_bus_creds_get_pid(3), sd_bus_message_append(3), sd_bus_message_append_array(3), sd_bus_message_append_basic(3), sd_bus_message_append_string_memfd(3), sd_bus_message_append_strv(3), sd_bus_message_copy(3), sd_bus_message_read(3), sd_bus_message_read_basic(3), sd_bus_message_skip(3), sd_bus_set_description(3), sd_bus_slot_set_description(3), sd_event_new(3), sd_event_source_set_description(3), sd_id128_get_machine(3), sd_machine_get_class(3), sd_seat_get_active(3), sd_session_is_active(3), sd_uid_get_state(3)

-EOPNOTSUPP
    sd_bus_creds_new_from_pid(3), sd_bus_message_new_method_call(3), sd_bus_message_read_array(3), sd_bus_send(3), sd_event_add_child(3), sd_event_add_time(3), sd_event_now(3)

-EOVERFLOW
    sd_event_add_time(3)

-EPERM
    sd_bus_get_fd(3), sd_bus_get_name_creds(3), sd_bus_message_append(3), sd_bus_message_append_array(3), sd_bus_message_append_basic(3), sd_bus_message_append_string_memfd(3), sd_bus_message_append_strv(3), sd_bus_message_copy(3), sd_bus_message_new_method_call(3), sd_bus_message_new_method_error(3), sd_bus_message_open_container(3), sd_bus_message_read_array(3), sd_bus_message_rewind(3), sd_bus_message_set_destination(3), sd_bus_message_set_expect_reply(3), sd_bus_message_skip(3), sd_bus_message_verify_type(3), sd_bus_negotiate_fds(3), sd_bus_query_sender_creds(3), sd_bus_reply_method_error(3), sd_bus_reply_method_return(3), sd_bus_set_address(3), sd_bus_set_description(3), sd_bus_set_fd(3), sd_bus_set_sender(3), sd_bus_set_server(3), sd_bus_start(3), sd_id128_get_machine(3)

-EPROTOTYPE
    sd_bus_add_object(3)

-ESOCKTNOSUPPORT
    sd_bus_default(3)

-ESRCH
    sd_bus_creds_new_from_pid(3), sd_bus_emit_signal(3), sd_bus_request_name(3), sd_pid_get_owner_uid(3)

-ESTALE
    sd_bus_message_append(3), sd_bus_message_append_array(3), sd_bus_message_append_basic(3), sd_bus_message_append_string_memfd(3), sd_bus_message_append_strv(3), sd_bus_message_copy(3), sd_bus_message_open_container(3), sd_bus_slot_set_floating(3), sd_event_add_child(3), sd_event_add_defer(3), sd_event_add_inotify(3), sd_event_add_io(3), sd_event_add_signal(3), sd_event_add_time(3), sd_event_exit(3), sd_event_run(3), sd_event_source_get_pending(3), sd_event_source_set_prepare(3), sd_event_source_set_priority(3), sd_event_wait(3)

-ETIMEDOUT
    sd_bus_call(3)

-EUNATCH
    sd_bus_track_add_name(3)

0
    sd_bus_add_object(3), sd_bus_error(3), sd_event_add_time(3)

0xFFFF
    sd_uid_get_state(3)

0xFFFFFFFF
    sd_uid_get_state(3)

1
    sd_bus_add_object(3)

AF_INET
    sd_is_fifo(3)

AF_INET6
    sd_is_fifo(3)

AF_UNIX
    busctl(1), pam_elogind(8), sd_is_fifo(3), sd_notify(3), sd_pid_get_owner_uid(3)

AF_UNSPEC
    sd_is_fifo(3)

ALLOW_INTERACTIVE_AUTHORIZATION
    sd_bus_message_set_expect_reply(3), sd_bus_set_description(3)

BUS_MESSAGE_NO_REPLY_EXPECTED
    sd_bus_call(3)

CAP_SYS_ADMIN
    sd_bus_add_object(3)

CLOCK_BOOTIME
    sd-event(3)

CLOCK_BOOTTIME
    sd_event_add_time(3), sd_event_now(3)

CLOCK_BOOTTIME_ALARM
    sd-event(3), sd_event_add_time(3), sd_event_now(3)

CLOCK_MONOTONIC
    org.freedesktop.login1(5), sd-event(3), sd_bus_get_fd(3), sd_bus_message_get_monotonic_usec(3), sd_event_add_time(3), sd_event_now(3), sd_login_monitor_new(3)

CLOCK_REALTIME
    org.freedesktop.login1(5), sd-event(3), sd_bus_message_get_monotonic_usec(3), sd_event_add_time(3), sd_event_now(3)

CLOCK_REALTIME_ALARM
    sd-event(3), sd_event_add_time(3), sd_event_now(3)

EOPNOTSUPP
    sd_event_add_child(3)

EPOLLERR
    sd_event_add_io(3), sd_notify(3)

EPOLLET
    sd-event(3), sd_event_add_io(3)

EPOLLHUP
    sd_event_add_io(3), sd_notify(3)

EPOLLIN
    sd_event_add_io(3), sd_event_get_fd(3)

EPOLLOUT
    sd_event_add_io(3)

EPOLLPRI
    sd_event_add_io(3)

EPOLLRDHUP
    sd_event_add_io(3)

EXIT_FAILURE
    sd_bus_set_exit_on_disconnect(3)

IN_ACCESS
    sd_event_add_inotify(3)

IN_ATTRIB
    sd_event_add_inotify(3)

IN_CLOSE_WRITE
    sd_event_add_inotify(3)

IN_MASK_ADD
    sd_event_add_inotify(3)

IN_ONESHOT
    sd_event_add_inotify(3)

LINE_MAX - 8
    sd_journal_print(3)

LOG_ALERT
    sd_journal_print(3)

LOG_CRIT
    sd_journal_print(3)

LOG_DEBUG
    sd_journal_print(3)

LOG_EMERG
    sd_journal_print(3)

LOG_ERR
    sd_journal_print(3)

LOG_INFO
    sd_journal_print(3)

LOG_NOTICE
    sd_journal_print(3)

LOG_WARNING
    sd_journal_print(3)

NO_AUTO_START
    sd_bus_message_set_expect_reply(3)

NO_REPLY_EXPECTED
    sd_bus_message_set_expect_reply(3)

NUL
    pam_elogind(8), sd_bus_creds_get_pid(3), sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_append_string_memfd(3), sd_bus_message_append_strv(3), sd_bus_message_read(3), sd_bus_message_read_array(3), sd_bus_path_encode(3), sd_event_source_set_description(3), sd_id128_to_string(3)

NULL
    sd-login(3), sd_bus_add_match(3), sd_bus_add_node_enumerator(3), sd_bus_add_object(3), sd_bus_add_object_manager(3), sd_bus_attach_event(3), sd_bus_call(3), sd_bus_can_send(3), sd_bus_close(3), sd_bus_creds_get_pid(3), sd_bus_creds_new_from_pid(3), sd_bus_default(3), sd_bus_emit_signal(3), sd_bus_error(3), sd_bus_get_current_handler(3), sd_bus_interface_name_is_valid(3), sd_bus_is_open(3), sd_bus_list_names(3), sd_bus_message_append(3), sd_bus_message_append_array(3), sd_bus_message_append_basic(3), sd_bus_message_append_strv(3), sd_bus_message_copy(3), sd_bus_message_dump(3), sd_bus_message_get_signature(3), sd_bus_message_get_type(3), sd_bus_message_new(3), sd_bus_message_new_method_call(3), sd_bus_message_new_method_error(3), sd_bus_message_new_signal(3), sd_bus_message_open_container(3), sd_bus_message_read(3), sd_bus_message_read_array(3), sd_bus_message_read_basic(3), sd_bus_message_rewind(3), sd_bus_message_seal(3), sd_bus_message_set_destination(3), sd_bus_message_set_expect_reply(3), sd_bus_message_skip(3), sd_bus_message_verify_type(3), sd_bus_new(3), sd_bus_path_encode(3), sd_bus_process(3), sd_bus_query_sender_creds(3), sd_bus_reply_method_error(3), sd_bus_reply_method_return(3), sd_bus_request_name(3), sd_bus_send(3), sd_bus_set_address(3), sd_bus_set_description(3), sd_bus_set_exit_on_disconnect(3), sd_bus_set_method_call_timeout(3), sd_bus_set_property(3), sd_bus_set_sender(3), sd_bus_set_server(3), sd_bus_slot_get_bus(3), sd_bus_slot_ref(3), sd_bus_slot_set_description(3), sd_bus_slot_set_destroy_callback(3), sd_bus_slot_set_floating(3), sd_bus_slot_set_userdata(3), sd_bus_start(3), sd_bus_track_add_name(3), sd_bus_track_new(3), sd_device_ref(3), sd_event_add_child(3), sd_event_add_defer(3), sd_event_add_inotify(3), sd_event_add_io(3), sd_event_add_signal(3), sd_event_add_time(3), sd_event_exit(3), sd_event_new(3), sd_event_run(3), sd_event_source_get_event(3), sd_event_source_set_description(3), sd_event_source_set_destroy_callback(3), sd_event_source_set_enabled(3), sd_event_source_set_floating(3), sd_event_source_set_prepare(3), sd_event_source_set_userdata(3), sd_event_source_unref(3), sd_event_wait(3), sd_get_seats(3), sd_id128_to_string(3), sd_is_fifo(3), sd_journal_has_runtime_files(3), sd_journal_print(3), sd_listen_fds(3), sd_login_monitor_new(3), sd_machine_get_class(3), sd_pid_get_owner_uid(3), sd_seat_get_active(3), sd_session_is_active(3), sd_uid_get_state(3), sd_watchdog_enabled(3)

O_NONBLOCK
    sd_event_add_io(3)

O_PATH
    sd_event_add_inotify(3)

PAM_SUCCESS
    pam_elogind(8)

POLLIN
    sd_bus_get_fd(3), sd_event_get_fd(3), sd_login_monitor_new(3)

POLLOUT
    sd_bus_get_fd(3), sd_login_monitor_new(3)

SD_BUS_ARGS(...)
    sd_bus_add_object(3)

SD_BUS_ARGS()
    sd_bus_add_object(3)

SD_BUS_CREDS_AUDIT_LOGIN_UID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_AUDIT_SESSION_ID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_AUGMENT
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_BOUNDING_CAPS
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_CGROUP
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_CMDLINE
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_COMM
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_DESCRIPTION
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_EFFECTIVE_CAPS
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_EGID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_EUID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_EXE
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_FSGID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_FSUID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_GID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_INHERITABLE_CAPS
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_OWNER_UID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_PERMITTED_CAPS
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_PID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_PPID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_SELINUX_CONTEXT
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_SESSION
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_SGID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_SLICE
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_SUID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_SUPPLEMENTARY_GIDS
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_TID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_TID_COMM
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_TTY
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_UID
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_UNIQUE_NAME
    sd_bus_creds_new_from_pid(3), sd_bus_negotiate_fds(3)

SD_BUS_CREDS_UNIT
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_USER_SLICE
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_USER_UNIT
    sd_bus_creds_new_from_pid(3)

SD_BUS_CREDS_WELL_KNOWN_NAMES
    sd_bus_creds_new_from_pid(3), sd_bus_negotiate_fds(3)

SD_BUS_ERROR_MAKE_CONST(name, message)
    sd_bus_error(3)

SD_BUS_ERROR_MAKE_CONST()
    sd_bus_error(3)

SD_BUS_ERROR_MAP(name, code)
    sd_bus_error_add_map(3)

SD_BUS_ERROR_MAP()
    sd_bus_error_add_map(3)

SD_BUS_ERROR_MAP_END
    sd_bus_error_add_map(3)

SD_BUS_ERROR_NOT_SUPPORTED
    sd_bus_message_new_method_error(3)

SD_BUS_ERROR_NO_MEMORY
    sd_bus_error(3)

SD_BUS_ERROR_NULL
    sd_bus_call(3), sd_bus_error(3)

SD_BUS_MESSAGE_DUMP_SUBTREE_ONLY
    sd_bus_message_dump(3)

SD_BUS_MESSAGE_DUMP_WITH_HEADER
    sd_bus_message_dump(3)

SD_BUS_MESSAGE_METHOD_CALL
    sd_bus_message_get_type(3), sd_bus_message_new(3)

SD_BUS_MESSAGE_METHOD_ERROR
    sd_bus_message_get_type(3), sd_bus_message_new(3)

SD_BUS_MESSAGE_METHOD_RETURN
    sd_bus_message_get_type(3), sd_bus_message_new(3)

SD_BUS_MESSAGE_SIGNAL
    sd_bus_message_get_type(3), sd_bus_message_new(3)

SD_BUS_METHOD(member, signature, result, handler, flags)
    sd_bus_add_object(3)

SD_BUS_METHOD()
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_ARGS(member, args, result, handler, flags)
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_ARGS()
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_ARGS_OFFSET(member, args, result, handler, offset, flags)
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_ARGS_OFFSET()
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_NAMES(member, signature, in_names, result, out_names, handler, flags)
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_NAMES()
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_NAMES_OFFSET(member, signature, in_names, result, out_names, handler, offset, flags)
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_NAMES_OFFSET()
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_OFFSET(member, signature, result, handler, offset, flags)
    sd_bus_add_object(3)

SD_BUS_METHOD_WITH_OFFSET()
    sd_bus_add_object(3)

SD_BUS_NAME_ALLOW_REPLACEMENT
    sd_bus_request_name(3)

SD_BUS_NAME_QUEUE
    sd_bus_request_name(3)

SD_BUS_NAME_REPLACE_EXISTING
    sd_bus_request_name(3)

SD_BUS_NO_ARGS
    sd_bus_add_object(3)

SD_BUS_NO_RESULT
    sd_bus_add_object(3)

SD_BUS_PARAM(name)
    sd_bus_add_object(3)

SD_BUS_PARAM()
    sd_bus_add_object(3)

SD_BUS_PROPERTY(member, signature, get, offset, flags)
    sd_bus_add_object(3)

SD_BUS_PROPERTY()
    sd_bus_add_object(3)

SD_BUS_RESULT(...)
    sd_bus_add_object(3)

SD_BUS_RESULT()
    sd_bus_add_object(3)

SD_BUS_SIGNAL(member, signature, flags)
    sd_bus_add_object(3)

SD_BUS_SIGNAL()
    sd_bus_add_object(3)

SD_BUS_SIGNAL_WITH_ARGS(member, args, flags)
    sd_bus_add_object(3)

SD_BUS_SIGNAL_WITH_ARGS()
    sd_bus_add_object(3)

SD_BUS_SIGNAL_WITH_NAMES(member, signature, names, flags)
    sd_bus_add_object(3)

SD_BUS_SIGNAL_WITH_NAMES()
    sd_bus_add_object(3)

SD_BUS_TYPE
    sd_bus_can_send(3)

SD_BUS_TYPE_ARRAY
    sd_bus_message_append(3), sd_bus_message_open_container(3), sd_bus_message_read(3)

SD_BUS_TYPE_BOOLEAN
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_BYTE
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_DICT_ENTRY
    sd_bus_message_open_container(3)

SD_BUS_TYPE_DICT_ENTRY_BEGIN
    sd_bus_message_append(3), sd_bus_message_read(3)

SD_BUS_TYPE_DICT_ENTRY_END
    sd_bus_message_append(3), sd_bus_message_read(3)

SD_BUS_TYPE_DOUBLE
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_INT16
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_INT32
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_INT64
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_OBJECT_PATH
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_SIGNATURE
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_STRING
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_STRUCT
    sd_bus_message_open_container(3)

SD_BUS_TYPE_STRUCT_BEGIN
    sd_bus_message_append(3), sd_bus_message_read(3)

SD_BUS_TYPE_STRUCT_END
    sd_bus_message_append(3), sd_bus_message_read(3)

SD_BUS_TYPE_UINT16
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_UINT32
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_UINT64
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3)

SD_BUS_TYPE_UNIX_FD
    sd_bus_message_append(3), sd_bus_message_append_basic(3), sd_bus_message_read(3), sd_bus_message_read_basic(3), sd_bus_negotiate_fds(3)

SD_BUS_TYPE_VARIANT
    sd_bus_message_append(3), sd_bus_message_open_container(3), sd_bus_message_read(3)

SD_BUS_VTABLE_ABSOLUTE_OFFSET
    sd_bus_add_object(3)

SD_BUS_VTABLE_CAPABILITY(capability)
    sd_bus_add_object(3)

SD_BUS_VTABLE_DEPRECATED
    sd_bus_add_object(3)

SD_BUS_VTABLE_END
    sd_bus_add_object(3)

SD_BUS_VTABLE_HIDDEN
    sd_bus_add_object(3)

SD_BUS_VTABLE_METHOD_NO_REPLY
    sd_bus_add_object(3)

SD_BUS_VTABLE_PROPERTY_CONST
    sd_bus_add_object(3)

SD_BUS_VTABLE_PROPERTY_EMITS_CHANGE
    sd_bus_add_object(3)

SD_BUS_VTABLE_PROPERTY_EMITS_INVALIDATION
    sd_bus_add_object(3)

SD_BUS_VTABLE_PROPERTY_EXPLICIT
    sd_bus_add_object(3)

SD_BUS_VTABLE_SENSITIVE
    sd_bus_add_object(3)

SD_BUS_VTABLE_START(flags)
    sd_bus_add_object(3)

SD_BUS_VTABLE_START()
    sd_bus_add_object(3)

SD_BUS_VTABLE_UNPRIVILEGED
    sd_bus_add_object(3)

SD_BUS_WRITABLE_PROPERTY(member, signature, get, set, offset, flags)
    sd_bus_add_object(3)

SD_BUS_WRITABLE_PROPERTY()
    sd_bus_add_object(3)

SD_EVENT_ARMED
    sd_event_wait(3)

SD_EVENT_EXITING
    sd_event_wait(3)

SD_EVENT_FINISHED
    sd_event_wait(3)

SD_EVENT_INITIAL
    sd_event_wait(3)

SD_EVENT_OFF
    sd_event_add_child(3), sd_event_add_defer(3), sd_event_add_io(3), sd_event_add_signal(3), sd_event_add_time(3), sd_event_source_set_enabled(3), sd_event_source_set_ratelimit(3), sd_event_source_unref(3)

SD_EVENT_ON
    sd_event_add_child(3), sd_event_add_defer(3), sd_event_add_inotify(3), sd_event_add_io(3), sd_event_add_signal(3), sd_event_add_time(3), sd_event_source_set_enabled(3)

SD_EVENT_ONESHOT
    sd_event_add_child(3), sd_event_add_defer(3), sd_event_add_inotify(3), sd_event_add_time(3), sd_event_source_set_enabled(3)

SD_EVENT_PENDING
    sd_event_wait(3)

SD_EVENT_PREPARING
    sd_event_wait(3)

SD_EVENT_PRIORITY_IDLE
    sd_event_source_set_priority(3)

SD_EVENT_PRIORITY_IMPORTANT
    sd_event_source_set_priority(3)

SD_EVENT_PRIORITY_NORMAL
    sd_event_source_set_priority(3)

SD_EVENT_RUNNING
    sd_event_wait(3)

SD_EVENT_SIGNAL_PROCMASK
    sd_event_add_signal(3)

SD_ID128_ALLF
    sd_id128_get_machine(3), sd_id128_randomize(3)

SD_ID128_FORMAT_STR
    sd_id128_to_string(3)

SD_ID128_NULL
    sd_bus_set_server(3), sd_id128_get_machine(3), sd_id128_randomize(3)

SD_ID128_STRING_MAX
    sd_id128_to_string(3)

SD_JOURNAL_SUPPRESS_LOCATION
    sd_journal_print(3)

SD_LOGIND_KEXEC_REBOOT
    org.freedesktop.login1(5)

SD_LOGIND_ROOT_CHECK_INHIBITORS
    org.freedesktop.login1(5)

SIGCHLD
    sd_event_add_child(3)

SIGHUP
    elogind(8)

SIGINT
    elogind(8), loginctl(1), sd_event_set_signal_exit(3)

SIGKILL
    sd_event_add_child(3)

SIGQUIT
    elogind(8)

SIGSTOP
    loginctl(1)

SIGTERM
    elogind(8), loginctl(1), sd_event_exit(3), sd_event_set_signal_exit(3)

SOCK_DGRAM
    sd_is_fifo(3)

SOCK_STREAM
    sd_is_fifo(3)

UINT64_MAX
    sd_bus_get_fd(3), sd_bus_wait(3), sd_event_add_time(3)

WCONTINUED
    sd_event_add_child(3)

WEXITED
    sd_event_add_child(3)

WSTOPPED
    sd_event_add_child(3)

_SD_BUS_CREDS_ALL
    sd_bus_creds_new_from_pid(3)

alert
    elogind-inhibit(1), loginctl(1)

auto
    elogind-inhibit(1), loginctl(1)

console
    elogind-inhibit(1), loginctl(1)

console-prefixed
    elogind-inhibit(1), loginctl(1)

const
    sd_bus_add_object(3)

crit
    elogind-inhibit(1), loginctl(1)

debug
    elogind-inhibit(1), loginctl(1)

emerg
    elogind-inhibit(1), loginctl(1)

err
    elogind-inhibit(1), loginctl(1)

error
    sd_bus_message_new_method_error(3)

false
    sd_bus_error(3)

info
    elogind-inhibit(1), loginctl(1)

invalidates
    sd_bus_add_object(3)

journal
    elogind-inhibit(1), loginctl(1)

journal-or-kmsg
    elogind-inhibit(1), loginctl(1)

kmsg
    elogind-inhibit(1), loginctl(1)

libelogind
    sd-bus(3), sd-event(3), sd-login(3), sd_bus_add_match(3), sd_bus_add_node_enumerator(3), sd_bus_add_object(3), sd_bus_add_object_manager(3), sd_bus_attach_event(3), sd_bus_call(3), sd_bus_call_method(3), sd_bus_can_send(3), sd_bus_close(3), sd_bus_creds_get_pid(3), sd_bus_creds_new_from_pid(3), sd_bus_default(3), sd_bus_emit_signal(3), sd_bus_error(3), sd_bus_error_add_map(3), sd_bus_get_current_handler(3), sd_bus_get_fd(3), sd_bus_get_name_creds(3), sd_bus_get_name_machine_id(3), sd_bus_interface_name_is_valid(3), sd_bus_is_open(3), sd_bus_list_names(3), sd_bus_message_append(3), sd_bus_message_append_array(3), sd_bus_message_append_basic(3), sd_bus_message_append_string_memfd(3), sd_bus_message_append_strv(3), sd_bus_message_copy(3), sd_bus_message_dump(3), sd_bus_message_get_cookie(3), sd_bus_message_get_monotonic_usec(3), sd_bus_message_get_signature(3), sd_bus_message_get_type(3), sd_bus_message_new(3), sd_bus_message_new_method_call(3), sd_bus_message_new_method_error(3), sd_bus_message_new_signal(3), sd_bus_message_open_container(3), sd_bus_message_read(3), sd_bus_message_rewind(3), sd_bus_message_seal(3), sd_bus_message_set_destination(3), sd_bus_message_set_expect_reply(3), sd_bus_message_skip(3), sd_bus_message_verify_type(3), sd_bus_negotiate_fds(3), sd_bus_new(3), sd_bus_path_encode(3), sd_bus_process(3), sd_bus_query_sender_creds(3), sd_bus_reply_method_error(3), sd_bus_reply_method_return(3), sd_bus_request_name(3), sd_bus_send(3), sd_bus_set_address(3), sd_bus_set_close_on_exit(3), sd_bus_set_connected_signal(3), sd_bus_set_description(3), sd_bus_set_exit_on_disconnect(3), sd_bus_set_fd(3), sd_bus_set_method_call_timeout(3), sd_bus_set_property(3), sd_bus_set_sender(3), sd_bus_set_server(3), sd_bus_set_watch_bind(3), sd_bus_slot_get_bus(3), sd_bus_slot_ref(3), sd_bus_slot_set_description(3), sd_bus_slot_set_destroy_callback(3), sd_bus_slot_set_floating(3), sd_bus_slot_set_userdata(3), sd_bus_start(3), sd_bus_track_add_name(3), sd_bus_track_new(3), sd_bus_wait(3), sd_event_add_child(3), sd_event_add_defer(3), sd_event_add_inotify(3), sd_event_add_io(3), sd_event_add_signal(3), sd_event_add_time(3), sd_event_exit(3), sd_event_get_fd(3), sd_event_new(3), sd_event_now(3), sd_event_run(3), sd_event_set_signal_exit(3), sd_event_set_watchdog(3), sd_event_source_get_event(3), sd_event_source_get_pending(3), sd_event_source_set_description(3), sd_event_source_set_destroy_callback(3), sd_event_source_set_enabled(3), sd_event_source_set_floating(3), sd_event_source_set_prepare(3), sd_event_source_set_priority(3), sd_event_source_set_ratelimit(3), sd_event_source_set_userdata(3), sd_event_source_unref(3), sd_event_wait(3), sd_get_seats(3), sd_id128_get_machine(3), sd_id128_randomize(3), sd_id128_to_string(3), sd_is_fifo(3), sd_journal_add_match(3), sd_journal_has_runtime_files(3), sd_journal_print(3), sd_journal_query_unique(3), sd_listen_fds(3), sd_login_monitor_new(3), sd_machine_get_class(3), sd_notify(3), sd_pid_get_owner_uid(3), sd_seat_get_active(3), sd_session_is_active(3), sd_uid_get_state(3), sd_watchdog_enabled(3)

notice
    elogind-inhibit(1), loginctl(1)

null
    elogind-inhibit(1), loginctl(1)

org.freedesktop.DBus.Deprecated
    sd_bus_add_object(3)

org.freedesktop.DBus.Introspectable.Introspect
    busctl(1), sd_bus_add_node_enumerator(3), sd_bus_add_object(3)

org.freedesktop.DBus.Method.NoReply
    sd_bus_add_object(3)

org.freedesktop.DBus.ObjectManager
    sd_bus_add_object_manager(3), sd_bus_emit_signal(3)

org.freedesktop.DBus.ObjectManager.GetManagedObjects
    sd_bus_add_node_enumerator(3)

org.freedesktop.DBus.Peer
    sd_bus_get_name_machine_id(3)

org.freedesktop.DBus.Properties
    sd_bus_emit_signal(3), sd_bus_set_property(3)

org.freedesktop.DBus.Properties.PropertiesChanged
    sd_bus_add_object(3)

org.freedesktop.DBus.Property.EmitsChangedSignal
    sd_bus_add_object(3)

org.freedesktop.systemd1.Explicit
    sd_bus_add_object(3)

org.freedesktop.systemd1.Privileged
    sd_bus_add_object(3)

return
    sd_bus_error(3)

stdio
    sd_bus_message_dump(3)

true
    sd_bus_add_object(3)

warning
    elogind-inhibit(1), loginctl(1)

DNS RESOURCE RECORD TYPES

MISCELLANEOUS OPTIONS AND DIRECTIVES

Other configuration elements which don't fit in any of the above groups.

SPECIFIERS

Short strings which are substituted in configuration directives.

FILES AND DIRECTORIES

Paths and file names referred to in the documentation.

/dev/null
    sleep.conf(5)

/etc/
    sleep.conf(5)

/etc/elogind/logind.conf
    loginctl(1), logind.conf(5)

/etc/elogind/logind.conf.d/*.conf
    logind.conf(5)

/etc/elogind/sleep.conf
    logind.conf(5), sleep.conf(5)

/etc/elogind/sleep.conf.d/*.conf
    logind.conf(5), sleep.conf(5)

/etc/machine-id
    sd_bus_get_name_machine_id(3), sd_id128_get_machine(3)

/etc/systemd/
    sleep.conf(5)

/etc/systemd/*.conf.d/
    sleep.conf(5)

/etc/systemd/sleep.conf
    sleep.conf(5)

/lib/elogind/system-shutdown
    loginctl(1)

/lib/elogind/system-sleep
    loginctl(1)

/proc/
    busctl(1), sd-login(3), sd_bus_creds_get_pid(3), sd_bus_creds_new_from_pid(3), sd_event_add_inotify(3), sd_is_fifo(3), sd_pid_get_owner_uid(3)

/proc/self/sessionid
    pam_elogind(8)

/proc/sys/kernel/random/boot_id
    sd_id128_get_machine(3)

/run/
    sd-login(3), sd_notify(3)

/run/elogind/sleep.conf.d/*.conf
    sleep.conf(5)

/run/user/$UID
    pam_elogind(8)

/sys/
    loginctl(1), org.freedesktop.login1(5), sd_is_fifo(3)

/sys/class/subsystem/name/max_brightness
    org.freedesktop.login1(5)

/sys/fs/cgroup/
    sd-login(3), sd_pid_get_owner_uid(3)

/sys/power/disk
    sleep.conf(5)

/sys/power/state
    sleep.conf(5)

/usr/
    sleep.conf(5)

/usr/lib/systemd/*.conf.d/
    sleep.conf(5)

/usr/lib/systemd/sleep.conf.d/*.conf
    sleep.conf(5)

/usr/local/lib/systemd/*.conf.d/
    sleep.conf(5)

busctl
    busctl(1)

elogind
    elogind(8)

elogind-inhibit
    elogind-inhibit(1)

loginctl
    loginctl(1)

pam_elogind.so
    pam_elogind(8)

pkg-config
    sd-bus(3), sd-event(3), sd-login(3)

D-BUS INTERFACES

Interfaces exposed over D-Bus.

org.freedesktop.login1.Manager
    org.freedesktop.login1(5)

org.freedesktop.login1.Seat
    org.freedesktop.login1(5)

org.freedesktop.login1.Session
    org.freedesktop.login1(5)

org.freedesktop.login1.User
    org.freedesktop.login1(5)

D-BUS METHODS

Methods exposed in the D-Bus interface.

Activate()
    org.freedesktop.login1(5)

ActivateSession()
    org.freedesktop.login1(5)

ActivateSessionOnSeat()
    org.freedesktop.login1(5)

AttachDevice()
    org.freedesktop.login1(5)

CanHalt()
    org.freedesktop.login1(5)

CanHibernate()
    org.freedesktop.login1(5)

CanHybridSleep()
    org.freedesktop.login1(5)

CanPowerOff()
    org.freedesktop.login1(5)

CanReboot()
    org.freedesktop.login1(5)

CanRebootParameter()
    org.freedesktop.login1(5)

CanRebootToBootLoaderEntry()
    org.freedesktop.login1(5)

CanRebootToBootLoaderMenu()
    org.freedesktop.login1(5)

CanRebootToFirmwareSetup()
    org.freedesktop.login1(5)

CanSuspend()
    org.freedesktop.login1(5)

CanSuspendThenHibernate()
    org.freedesktop.login1(5)

CancelScheduledShutdown()
    org.freedesktop.login1(5)

CreateSession()
    org.freedesktop.login1(5)

FlushDevices()
    org.freedesktop.login1(5)

GetSeat()
    org.freedesktop.login1(5)

GetSession()
    org.freedesktop.login1(5)

GetSessionByPID()
    org.freedesktop.login1(5)

GetUser()
    org.freedesktop.login1(5)

GetUserByPID()
    org.freedesktop.login1(5)

Halt()
    org.freedesktop.login1(5)

HaltWithFlags()
    org.freedesktop.login1(5)

Hibernate()
    org.freedesktop.login1(5)

HibernateWithFlags()
    org.freedesktop.login1(5)

HybridSleep()
    org.freedesktop.login1(5)

HybridSleepWithFlags()
    org.freedesktop.login1(5)

Inhibit()
    org.freedesktop.login1(5)

Kill()
    org.freedesktop.login1(5)

KillSession()
    org.freedesktop.login1(5)

KillUser()
    org.freedesktop.login1(5)

ListInhibitors()
    org.freedesktop.login1(5)

ListSeats()
    org.freedesktop.login1(5)

ListSessions()
    org.freedesktop.login1(5)

ListUsers()
    org.freedesktop.login1(5)

Lock()
    org.freedesktop.login1(5)

LockSession()
    org.freedesktop.login1(5)

LockSessions()
    org.freedesktop.login1(5)

PauseDeviceComplete()
    org.freedesktop.login1(5)

PowerOff()
    org.freedesktop.login1(5)

PowerOffWithFlags()
    org.freedesktop.login1(5)

Reboot()
    org.freedesktop.login1(5)

RebootWithFlags()
    org.freedesktop.login1(5)

ReleaseControl()
    org.freedesktop.login1(5)

ReleaseDevice()
    org.freedesktop.login1(5)

ReleaseSession()
    org.freedesktop.login1(5)

ScheduleShutdown()
    org.freedesktop.login1(5)

SetBrightness()
    org.freedesktop.login1(5)

SetDisplay()
    org.freedesktop.login1(5)

SetIdleHint()
    org.freedesktop.login1(5)

SetLockedHint()
    org.freedesktop.login1(5)

SetRebootParameter()
    org.freedesktop.login1(5)

SetRebootToBootLoaderEntry()
    org.freedesktop.login1(5)

SetRebootToBootLoaderMenu()
    org.freedesktop.login1(5)

SetRebootToFirmwareSetup()
    org.freedesktop.login1(5)

SetType()
    org.freedesktop.login1(5)

SetUserLinger()
    org.freedesktop.login1(5)

SetWallMessage()
    org.freedesktop.login1(5)

Suspend()
    org.freedesktop.login1(5)

SuspendThenHibernate()
    org.freedesktop.login1(5)

SuspendThenHibernateWithFlags()
    org.freedesktop.login1(5)

SuspendWithFlags()
    org.freedesktop.login1(5)

SwitchTo()
    org.freedesktop.login1(5)

SwitchToNext()
    org.freedesktop.login1(5)

SwitchToPrevious()
    org.freedesktop.login1(5)

TakeControl()
    org.freedesktop.login1(5)

TakeDevice()
    org.freedesktop.login1(5)

Terminate()
    org.freedesktop.login1(5)

TerminateSeat()
    org.freedesktop.login1(5)

TerminateSession()
    org.freedesktop.login1(5)

TerminateUser()
    org.freedesktop.login1(5)

Unlock()
    org.freedesktop.login1(5)

UnlockSession()
    org.freedesktop.login1(5)

UnlockSessions()
    org.freedesktop.login1(5)

D-BUS PROPERTIES

Properties exposed in the D-Bus interface.

Active
    org.freedesktop.login1(5)

ActiveSession
    org.freedesktop.login1(5)

Audit
    org.freedesktop.login1(5)

BlockInhibited
    org.freedesktop.login1(5)

BootLoaderEntries
    org.freedesktop.login1(5)

CanGraphical
    org.freedesktop.login1(5)

CanTTY
    org.freedesktop.login1(5)

Class
    org.freedesktop.login1(5)

DelayInhibited
    org.freedesktop.login1(5)

Desktop
    org.freedesktop.login1(5)

Display
    org.freedesktop.login1(5)

Docked
    org.freedesktop.login1(5)

EnableWallMessages
    org.freedesktop.login1(5)

GID
    org.freedesktop.login1(5)

HandleHibernateKey
    org.freedesktop.login1(5)

HandleHibernateKeyLongPress
    org.freedesktop.login1(5)

HandleLidSwitch
    org.freedesktop.login1(5)

HandleLidSwitchDocked
    org.freedesktop.login1(5)

HandleLidSwitchExternalPower
    org.freedesktop.login1(5)

HandlePowerKey
    org.freedesktop.login1(5)

HandlePowerKeyLongPress
    org.freedesktop.login1(5)

HandleRebootKey
    org.freedesktop.login1(5)

HandleRebootKeyLongPress
    org.freedesktop.login1(5)

HandleSuspendKey
    org.freedesktop.login1(5)

HandleSuspendKeyLongPress
    org.freedesktop.login1(5)

HoldoffTimeoutUSec
    org.freedesktop.login1(5)

Id
    org.freedesktop.login1(5)

IdleAction
    org.freedesktop.login1(5)

IdleActionUSec
    org.freedesktop.login1(5)

IdleHint
    org.freedesktop.login1(5)

IdleSinceHint
    org.freedesktop.login1(5)

IdleSinceHintMonotonic
    org.freedesktop.login1(5)

InhibitDelayMaxUSec
    org.freedesktop.login1(5)

InhibitorsMax
    org.freedesktop.login1(5)

KillExcludeUsers
    org.freedesktop.login1(5)

KillOnlyUsers
    org.freedesktop.login1(5)

KillUserProcesses
    org.freedesktop.login1(5)

Leader
    org.freedesktop.login1(5)

LidClosed
    org.freedesktop.login1(5)

Linger
    org.freedesktop.login1(5)

LockedHint
    org.freedesktop.login1(5)

NAutoVTs
    org.freedesktop.login1(5)

NCurrentInhibitors
    org.freedesktop.login1(5)

NCurrentSessions
    org.freedesktop.login1(5)

Name
    org.freedesktop.login1(5)

OnExternalPower
    org.freedesktop.login1(5)

PreparingForShutdown
    org.freedesktop.login1(5)

PreparingForSleep
    org.freedesktop.login1(5)

RebootParameter
    org.freedesktop.login1(5)

RebootToBootLoaderEntry
    org.freedesktop.login1(5)

RebootToBootLoaderMenu
    org.freedesktop.login1(5)

RebootToFirmwareSetup
    org.freedesktop.login1(5)

Remote
    org.freedesktop.login1(5)

RemoteHost
    org.freedesktop.login1(5)

RemoteUser
    org.freedesktop.login1(5)

RemoveIPC
    org.freedesktop.login1(5)

RuntimeDirectoryInodesMax
    org.freedesktop.login1(5)

RuntimeDirectorySize
    org.freedesktop.login1(5)

RuntimePath
    org.freedesktop.login1(5)

ScheduledShutdown
    org.freedesktop.login1(5)

Scope
    org.freedesktop.login1(5)

Seat
    org.freedesktop.login1(5)

Service
    org.freedesktop.login1(5)

Sessions
    org.freedesktop.login1(5)

SessionsMax
    org.freedesktop.login1(5)

Slice
    org.freedesktop.login1(5)

State
    org.freedesktop.login1(5)

StopIdleSessionUSec
    org.freedesktop.login1(5)

TTY
    org.freedesktop.login1(5)

Timestamp
    org.freedesktop.login1(5)

TimestampMonotonic
    org.freedesktop.login1(5)

Type
    org.freedesktop.login1(5)

UID
    org.freedesktop.login1(5)

User
    org.freedesktop.login1(5)

UserStopDelayUSec
    org.freedesktop.login1(5)

VTNr
    org.freedesktop.login1(5)

WallMessage
    org.freedesktop.login1(5)

D-BUS SIGNALS

Signals emitted in the D-Bus interface.

Lock
    org.freedesktop.login1(5)

PauseDevice
    org.freedesktop.login1(5)

PrepareForShutdown
    org.freedesktop.login1(5)

PrepareForSleep
    org.freedesktop.login1(5)

ResumeDevice
    org.freedesktop.login1(5)

SeatNew
    org.freedesktop.login1(5)

SeatRemoved
    org.freedesktop.login1(5)

SessionNew
    org.freedesktop.login1(5)

SessionRemoved
    org.freedesktop.login1(5)

Unlock
    org.freedesktop.login1(5)

UserNew
    org.freedesktop.login1(5)

UserRemoved
    org.freedesktop.login1(5)

COLOPHON

This index contains 633 entries in 22 sections, referring to 134 individual manual pages.